

#include <math.h>
#include <limits.h>

#include "waili/Lifting.h"
#include "waili/Wavelet.h"

void Wavelet_Binary::CakeWalk(Lifting &lifting) const
{
  lifting.Lift_bin(0);
}

void Wavelet_Binary::ICakeWalk(Lifting &lifting) const
{
  lifting.ILift_bin(0);
}

Wavelet_Binary::Wavelet_Binary()
{

}

Wavelet_Binary *Wavelet_Binary::Clone(void) const
{
    return(new Wavelet_Binary(*this));
}
